Mozilla 將封鎖含 混淆程式碼 的 附加元件

現在瀏覽器的外掛(Extension)程式大多數都是 JavaScript,原始碼都等同是公開的,所以有些會做混淆程式碼(Obfuscation)。

Mozilla 將封鎖含 混淆程式碼 的 附加元件

Mozilla (Firefox) 覺得混淆程式碼後,很難做控管,可能會有安全性上的問題(可能會有 Malicious extensions),所以 Mozilla 更新了附加元件的政策:

這項規定預計於 2019/6/10 開始,只要不做混淆程式碼,壓縮等等的都還是允許的。若有混淆程式碼的部份,需要在 6/10 前更新,不然此 Extension 可能會被拒絕或封鎖。

下述整理自此篇:Mozilla即將封鎖含有混淆程式碼的附加元件

  • Mozilla 附加程式社群經理Caitlin Neiman 表示,從 2019/6/10 起,Mozilla 將不再接受含有混淆程式碼的附加程式,但只要包含了原始碼,依然允許採用壓縮、串連或其它機器產生的程式碼。
  • Neiman 也闡明了 Mozilla 的封鎖程序,指出將會更主動地封鎖違反政策的附加程式,包括那些故意違反政策、含有重大安全漏洞、侵犯使用者隱私或規避使用者控制或同意權的附加程式。
  • 所謂的封鎖是直接關閉使用者於 Firefox 中所安裝的附加程式,但它分為軟封鎖及硬封鎖兩種等級,前者適用於情節輕微者,就算被關閉了依然允許使用者重新啟用,後者則適用於情節重大的對象,將禁止使用者啟用該附加程式。

關於「Tsung」

對新奇的事物都很有興趣, 喜歡簡單的東西, 過簡單的生活.
分類: News,標籤: , , , , 。這篇內容的永久連結

發表迴響

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料